UnfoldFilter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.advancedsearch

## Class UnfoldFilter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.advancedsearch.UnfoldFilter

- All Implemented Interfaces:
    AdvancedSearchPanelInterface

      public class UnfoldFilter
      extends Object
      implements AdvancedSearchPanelInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnfoldFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activeChecks(boolean bool)`
    `ArrayList<DataSourceModel>` | `getAvailablePlugIn()`
    `List<DataSourceModel>` | `getCheckedGroupList()`
    `String` | `getName()`
    `com.extjs.gxt.ui.client.widget.ContentPanel` | `getPanel()`
    `void` | `loadDataSource(List<DataSourceModel> result)`
    `void` | `resetAdvancedFields()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnfoldFilter

          public UnfoldFilter()

  - ### Method Detail

    - #### getPanel

          public com.extjs.gxt.ui.client.widget.ContentPanel getPanel()

      Specified by:
        `getPanel` in interface `AdvancedSearchPanelInterface`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `AdvancedSearchPanelInterface`

    - #### resetAdvancedFields

          public void resetAdvancedFields()

      Specified by:
        `resetAdvancedFields` in interface `AdvancedSearchPanelInterface`

    - #### getAvailablePlugIn

          public ArrayList<DataSourceModel> getAvailablePlugIn()

      Specified by:
        `getAvailablePlugIn` in interface `AdvancedSearchPanelInterface`

    - #### loadDataSource

          public void loadDataSource(List<DataSourceModel> result)

    - #### getCheckedGroupList

          public List<DataSourceModel> getCheckedGroupList()

      Returns:

    - #### activeChecks

          public void activeChecks(boolean bool)

Copyright © 2013. All Rights Reserved.